Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.ws
Class WebServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.xml.ws.WebServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProtocolException

    public class WebServiceException

extends RuntimeException

The `WebServiceException` class is the base exception class for all JAX-WS API runtime exceptions.

Since:
  JAX-WS 2.0
See Also:
  Serialized Form

Constructor Summary
`WebServiceException()` Constructs a new exception with `null` as its detail message.
`WebServiceException(String message)` Constructs a new exception with the specified detail message.
`WebServiceException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`WebServiceException(Throwable cause)` Constructs a new WebServiceException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebServiceException

    public WebServiceException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized.

### WebServiceException

    public WebServiceException(String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.

  Parameters:
    `message` - The detail message which is later retrieved using the getMessage method

### WebServiceException

    public WebServiceException(String message,
                               Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - The detail message which is later retrieved using the getMessage method
    `cause` - The cause which is saved for the later retrieval throw by the getCause method

### WebServiceException

    public WebServiceException(Throwable cause)

  Constructs a new WebServiceException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - The cause which is saved for the later retrieval throw by the getCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.